using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class addtableRetirementQuestionnaireQuestion : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "RetirementQuestionnaireQuestions",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "char(36)", nullable: false, comment: "PrimaryKey", collation: "ascii_general_ci"),
                    CreatedAt = table.Column<DateTime>(type: "datetime(6)", nullable: false, comment: "สร้างข้อมูลเมื่อ"),
                    CreatedUserId = table.Column<string>(type: "varchar(40)", maxLength: 40, nullable: false, comment: "User Id ที่สร้างข้อมูล")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    LastUpdatedAt = table.Column<DateTime>(type: "datetime(6)", nullable: true, comment: "แก้ไขข้อมูลล่าสุดเมื่อ"),
                    LastUpdateUserId = table.Column<string>(type: "varchar(40)", maxLength: 40, nullable: false, comment: "User Id ที่แก้ไขข้อมูลล่าสุด")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    CreatedFullName = table.Column<string>(type: "varchar(200)", maxLength: 200, nullable: false, comment: "ชื่อ User ที่สร้างข้อมูล")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    LastUpdateFullName = table.Column<string>(type: "varchar(200)", maxLength: 200, nullable: false, comment: "ชื่อ User ที่แก้ไขข้อมูลล่าสุด")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question1Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 1")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question1Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 1")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question1Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 1")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question2Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 2")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question2Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 2")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question2Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 2")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question3Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 3")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question3Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 3")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question3Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 3")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question4Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 4")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question4Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 4")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question4Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 4")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question5Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 5")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question5Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 5")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question5Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 5")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question6Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 6")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question6Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 6")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question6Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 6")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question7Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 7")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question7Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 7")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question7Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 7")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question8Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 8")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question8Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 8")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question8Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 8")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question9Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 9")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question9Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 9")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question9Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 9")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question10Desc = table.Column<string>(type: "longtext", nullable: true, comment: "คำถามข้อที่ 10")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question10Score = table.Column<string>(type: "longtext", nullable: true, comment: "คำตอบข้อที่ 10")
                        .Annotation("MySql:CharSet", "utf8mb4"),
                    Question10Answer = table.Column<string>(type: "longtext", nullable: true, comment: "กรอกคะแนน 10")
                        .Annotation("MySql:CharSet", "utf8mb4")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_RetirementQuestionnaireQuestions", x => x.Id);
                })
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "RetirementQuestionnaireQuestions");
        }
    }
}
